AccessControlException (Java Platform SE 8 )
Keywords: java.security.AccessControlException class
Date: 2016-12-09

compact1, compact2, compact3
java.security

## Class AccessControlException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.SecurityException
        - - java.security.AccessControlException

- All Implemented Interfaces:
    Serializable

      public class AccessControlException
      extends SecurityException

  This exception is thrown by the AccessController to indicate that a requested access (to a critical system resource such as the file system or the network) is denied.

  The reason to deny access can vary. For example, the requested permission might be of an incorrect type, contain an invalid value, or request access that is not allowed according to the security policy. Such information should be given whenever possible at the time the exception is thrown.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessControlException(String s)` Constructs an `AccessControlException` with the specified, detailed message.
    `AccessControlException(String s, Permission p)` Constructs an `AccessControlException` with the specified, detailed message, and the requested permission that caused the exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Permission` | `getPermission()` Gets the Permission object associated with this exception, or null if there was no corresponding Permission object.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessControlException

          public AccessControlException(String s)

      Constructs an `AccessControlException` with the specified, detailed message.
      Parameters:
        `s` - the detail message.

    - #### AccessControlException

          public AccessControlException(String s,
                                        Permission p)

      Constructs an `AccessControlException` with the specified, detailed message, and the requested permission that caused the exception.
      Parameters:
        `s` - the detail message.
        `p` - the permission that caused the exception.

  - ### Method Detail

    - #### getPermission

          public Permission getPermission()

      Gets the Permission object associated with this exception, or null if there was no corresponding Permission object.
      Returns:
        the Permission object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.